### Method

# Vips Image hist_ismonotonic

#### Declaration [src]

    int
    vips_hist_ismonotonic (
      VipsImage* in,
      gboolean* out,
      ...
    )

#### Description [src]

Test `in` for monotonicity. `out` is set non-zero if `in` is monotonic.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `gboolean*`

  Set non-zero if `in` is monotonic.

  The argument will be set by the function.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.